# Interface methods for submodule: SliceBySliceImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: SliceBySliceImageFilter
class SliceBySliceImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetDimension(self, _arg: int) -> None:
		""""""
		...

	def GetDimension(self) -> int:
		""""""
		...

	def SetFilter(self, filter) -> None:
		""""""
		...

	def GetFilter(self):
		""""""
		...

	def SetInputFilter(self, filter) -> None:
		""""""
		...

	def GetModifiableInputFilter(self):
		""""""
		...

	def GetInputFilter(self):
		""""""
		...

	def SetOutputFilter(self, filter) -> None:
		""""""
		...

	def GetModifiableOutputFilter(self):
		""""""
		...

	def GetOutputFilter(self):
		""""""
		...

	def GetSliceIndex(self) -> int:
		""""""
		...

